--- title: "Create group" slug: "post-group" updated: 2026-09-17T10:05:35Z published: 2026-09-17T10:05:35Z canonical: "api.ncloud-docs.com/post-group" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Create group Available in Classic and VPC Create a group. It can be useful when assigning permissions to SSO users in the group. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/groups | ### Request headers For information about the headers common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On request headers](/docs/en/single-sign-on-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `name` | String | Required | Group name - Enter 2-30 characters by combining English letters, numbers, and special characters "-" and "_". - It must start with an English letter or a number. - It can't be changed after creation. | | `description` | String | Optional | Group description - 0-300 characters | | `tags` | Object | Optional | Policy's tag - Up to 20 per resource. - Enter in the `{tagKey}:{tagValue}` format. - tagKey: Enter up to 128 characters by combining English letters, numbers, and special characters "*", ".", "/", "=", "+", "-", and "@".* - *tagValue: Enter up to 256 characters by combining English letters, numbers, and special characters "*", ".", "/", "=", "+", "-", and "@". | ### Request example The request example is as follows: ``` curl --location --request POST 'https://sso.apigw.ntruss.com/api/v1/groups' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '{ "name": "group000", "description": "group000 description", "tags": { "tagKey1": "tagValue1", "team": "a" } }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `groupId` | String | - | Group ID | | `groupName` | String | - | Group name | | `nrn` | String | - | NAVER Cloud Platform resource identification value for group | | `description` | String | - | Group description | | `createdAt` | String | - | Group creation date and time - ISO 8601 format | | `updatedAt` | String | - | Group modification date and time - ISO 8601 format | ### Response status codes For information about the HTTP status codes common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On response status codes](/docs/en/single-sign-on-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "groupId": "12cfbd94-****-****-****-2ff725201395", "groupName": "group000", "nrn": "nrn:PUB:SSO::*******:Group/12cfbd94-****-****-****-2ff725201395", "description": "group000 description", "createdAt": "2025-01-13T02:04:15Z", "updatedAt": "2025-01-13T02:04:15Z" } ```